Subject: Re: [RFC] arm64: cpufeatures: Add support for tlbi range maintenance

From: Catalin Marinas <[email-masked]>
Date: Wed, 30 Oct 2019 17:34:00 +0000

On Wed, Oct 30, 2019 at 02:41:25PM +0800, Shaokun Zhang wrote:
> ARMv8.4-TLBI provides TLBI invalidation instruction that apply to a
> range of input addresses. This patch adds support for this feature.
> And provide another implementation for flush_tlb_range with tlbi
> range instruction.

Do you have any performance numbers in favour of this patch? Last time
we looked, it didn't really matter for Linux since most user TLBI ranges
were 1 or 2 pages long. Of course you can write some mprotect() loop to
show that it matters but I'm rather interested in real world impact.

-- 
Catalin

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel